import GEOM
import geompy
import math
import SALOMEDS


import salome, SMESH, SALOMEDS
import smesh
import StdMeshers
import NETGENPlugin



## define geometry
Lx = 0.8
Ly = 1.5
Lz = 19.0

box1 = geompy.MakeBoxDXDYDZ(Lx,Ly,Lz)
Ftop = geompy.CreateGroup(box1, geompy.ShapeType["FACE"])
geompy.UnionIDs(Ftop, [33])
Fbot = geompy.CreateGroup(box1, geompy.ShapeType["FACE"])
geompy.UnionIDs(Fbot, [31])
Lx = geompy.CreateGroup(box1, geompy.ShapeType["EDGE"])
geompy.UnionIDs(Lx, [25])
Ly = geompy.CreateGroup(box1, geompy.ShapeType["EDGE"])
geompy.UnionIDs(Ly, [12])
geompy.addToStudy( box1, "box1" )
geompy.addToStudyInFather( box1, Ftop, "Ftop" )
geompy.addToStudyInFather( box1, Fbot, "Fbot" )
geompy.addToStudyInFather( box1, Lx, "Lx" )
geompy.addToStudyInFather( box1, Ly, "Ly" )




meshbox = smesh.Mesh(box1)
Netgen_1D_2D_3D = meshbox.Tetrahedron(algo=smesh.FULL_NETGEN)
NETGEN_3D_Parameters = Netgen_1D_2D_3D.Parameters()
NETGEN_3D_Parameters.SetMaxSize( 1.2 )
NETGEN_3D_Parameters.SetSecondOrder( 1 )
NETGEN_3D_Parameters.SetOptimize( 1 )
NETGEN_3D_Parameters.SetFineness( 2 )
isDone = meshbox.Compute()

Ftop = meshbox.Group(Ftop)
Fbot = meshbox.Group(Fbot)
Lx = meshbox.Group(Lx)
Ly = meshbox.Group(Ly)


NRbot = meshbox.CreateEmptyGroup( SMESH.NODE, 'NRbot' )
nbAdd = NRbot.Add( [ 7 ] )
NFtop = meshbox.CreateEmptyGroup( SMESH.NODE, 'NFtop' )
nbAdd = NFtop.Add( [ 8 ] )


## set object names
smesh.SetName(meshbox.GetMesh(), 'meshbox')
smesh.SetName(Netgen_1D_2D_3D.GetAlgorithm(), 'Netgen 1D-2D-3D')
smesh.SetName(NETGEN_3D_Parameters, 'NETGEN 3D Parameters')

## set object names
smesh.SetName(Ftop, 'Ftop')
smesh.SetName(Fbot, 'Fbot')
smesh.SetName(Lx, 'Lx')
smesh.SetName(Ly, 'Ly')
smesh.SetName(NRbot, 'NRbot')
smesh.SetName(NFtop, 'NFtop')







if salome.sg.hasDesktop():
	salome.sg.updateObjBrowser(0)

